import { api } from '@/services/api';
import { request } from '@umijs/max';
type Page={
    pageSize:number|string,
    pageNum:number|string
}

interface Params extends Page{
    distributorId?:string,//分销商ID
    nickname?:string,//账号昵称
    phoneNum?:string,//手机
}
/**获取分销商账号列表 */
export async function distributorAccountList(params:Params) {
  return request(api+'/admin/distributorAccount/list', {
    method: 'GET',
    params
  });
}
export async function distributorAccountAll() {
  return request(api+'/admin/distributorAccount/all', {
    method: 'GET',
  });
}